#include <stdio.h>
#include <stdlib.h>

int main()
{   int a1,a2;
    char c1,c2;
    scanf("%c%c",&c1,&c2);
    scanf("%d %d",&a1,&a2);
    if(a1-a2>1 || a1-a2<-1)
        printf("nemoguce");
    else
    if(a1>a2){
        for(int i=0;i<a1;i++)
            printf("%c%c",c1,c2);
    printf("%c",c1);
    }
    else{
         for(int i=0;i<a1;i++)
            printf("%c%c",c2,c1);
    printf("%c",c2);
    }
    return 0;
}